SeeDream Tasks API Integration and Usage
The main function of the SeeDream Tasks API is to query the execution status of tasks by inputting the task ID generated by the SeeDream Images Generation API.
This document will provide detailed integration instructions for the SeeDream Tasks API, helping you easily integrate and fully utilize the powerful features of this API. With the SeeDream Tasks API, you can easily query the execution status of tasks from the SeeDream Images Generation API.
¶ Application Process
To use the SeeDream Images Generation API, first obtain your API Token from the YuJun Console for future use.

If you are not logged in or registered, you will be automatically redirected to the login page inviting you to register and log in, and after completion, you will be automatically returned to the current page.
One API Token can call all services on the platform, without needing to apply separately for each service. The first application will grant a free quota for a trial experience; when the quota is insufficient, you can recharge the general balance in the console.
📘 Complete Documentation: SeeDream Images Generation API →
¶ Request Example
The SeeDream Tasks API can be used to query the results of the SeeDream Images Generation API. For information on how to use the SeeDream Images Generation API, please refer to the documentation SeeDream Images Generation API.
We will take a task ID returned by the SeeDream Images Generation API as an example to demonstrate how to use this API. Suppose we have a task ID: 20068983-0cc9-4c6a-aeb6-9c6a3c668be0, we will demonstrate how to pass in a task ID.
¶ Task Example Image

¶ Setting Request Headers and Request Body
Request Headers include:
accept: specifies that the response result should be in JSON format, filled in asapplication/json.authorization: the key to call the API, which can be selected directly after application.
Request Body includes:
id: the uploaded task ID.action: the operation method for the task.
Set as shown in the figure below:

¶ Code Example
It can be seen that various language codes have been automatically generated on the right side of the page, as shown in the figure:

Some code examples are as follows:
¶ CURL
curl -X POST 'https://api.acedata.cloud/seedream/tasks' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"id": "a6e0d456-189b-4c78-9232-2fe72166ab39",
"action": "retrieve"
}'
¶ Response Example
After a successful request, the API will return the detailed information of the task here. For example:
{
"success": true,
"task_id": "84d1544a-9043-4dde-a98b-e889dacd75f6",
"trace_id": "176acf03-7ca7-4fc6-85db-e3724d4f59eb",
"data": [
{
"prompt": "a white siamese cat",
"size": "2048x2048",
"image_url": "https://platform.cdn.acedata.cloud/seedream/6e5f9085-cc4a-4801-b77b-31550129ff19.jpg"
}
]
}
The returned result contains multiple fields, described as follows:
success, the status of the video generation task at this time.task_id, the ID of the video generation task at this time.trace_id, the tracking ID of the video generation at this time.data, the result list of the image generation task at this time.image_url, the link to the image generation task at this time.prompt, the prompt word.size: the pixel size of the generated image.
¶ Batch Query Operation
This is for querying the details of multiple task IDs, and unlike the above, the action needs to be selected as retrieve_batch.
Request Body includes:
ids: the array of uploaded task IDs.action: the operation method for the task.
Set as shown in the figure below:

¶ Code Example
Some code examples are as follows:
¶ Response Example
After a successful request, the API will return the specific details of all batch tasks this time. For example:
{
"items": [
{
"_id": "69498b9bff2676299c5cb7a6",
"id": "84d1544a-9043-4dde-a98b-e889dacd75f6",
"api_id": "86ad30f3-0bc8-4b9b-b019-b9fa5b05672e",
"application_id": "11e25072-de6d-4bd6-81e7-77ee0055499a",
"created_at": 1766427547.107,
"started_at": 1766427547.167,
"finished_at": 1766427560.667,
"elapsed": 13.5,
"credential_id": "50892af9-597f-426e-a455-bc1739de95b0",
"request": {
"action": "generate",
"model": "doubao-seedream-4-0-250828",
"prompt": "a white siamese cat"
},
"trace_id": "176acf03-7ca7-4fc6-85db-e3724d4f59eb",
"type": "images",
"user_id": "b60a9491-1eba-4ab8-a93f-12c0fd81dab4",
"response": {
"success": true,
"task_id": "84d1544a-9043-4dde-a98b-e889dacd75f6",
"trace_id": "176acf03-7ca7-4fc6-85db-e3724d4f59eb",
"data": [
{
"prompt": "a white siamese cat",
"size": "2048x2048",
"image_url": "https://platform.cdn.acedata.cloud/seedream/6e5f9085-cc4a-4801-b77b-31550129ff19.jpg"
}
]
}
},
{
"_id": "69498b9bff2676299c5cb7a6",
"id": "84d1544a-9043-4dde-a98b-e889dacd75f6",
"api_id": "86ad30f3-0bc8-4b9b-b019-b9fa5b05672e",
"application_id": "11e25072-de6d-4bd6-81e7-77ee0055499a",
"created_at": 1766427547.107,
"started_at": 1766427547.167,
"finished_at": 1766427560.667,
"elapsed": 13.5,
"credential_id": "50892af9-597f-426e-a455-bc1739de95b0",
"request": {
"action": "generate",
"model": "doubao-seedream-4-0-250828",
"prompt": "a white siamese cat"
},
"trace_id": "176acf03-7ca7-4fc6-85db-e3724d4f59eb",
"type": "images",
"user_id": "b60a9491-1eba-4ab8-a93f-12c0fd81dab4",
"response": {
"success": true,
"task_id": "84d1544a-9043-4dde-a98b-e889dacd75f6",
"trace_id": "176acf03-7ca7-4fc6-85db-e3724d4f59eb",
"data": [
{
"prompt": "a white siamese cat",
"size": "2048x2048",
"image_url": "https://platform.cdn.acedata.cloud/seedream/6e5f9085-cc4a-4801-b77b-31550129ff19.jpg"
}
]
}
}
],
"count": 2
}
The return result contains multiple fields, among which items includes the specific details of batch tasks, and each task's specific information is the same as the fields mentioned above.
items, all specific details of the batch tasks. It is an array, and each element of the array has the same format as the return result of querying a single task above.count, the number of batch query tasks.
Each task object in the batch result also carries the following timing fields.
created_at, the task creation time, Unix timestamp (seconds, float).started_at, the task start execution time, Unix timestamp (seconds, float).finished_at, the task completion time, Unix timestamp (seconds, float). This field is not returned if the task is not completed.elapsed, the time taken for task execution, measured in seconds (float, rounded to 3 decimal places). This field is not returned if the task is not completed.
¶ CURL
curl -X POST 'https://api.acedata.cloud/seedance/tasks' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"ids": ["84d1544a-9043-4dde-a98b-e889dacd75f6","84d1544a-9043-4dde-a98b-e889dacd75f6"],
"action": "retrieve_batch"
}'
¶ Error Handling
When calling the API, if an error occurs, the API will return the corresponding error code and message. For example:
400 token_mismatched: Bad request, possibly due to missing or invalid parameters.400 api_not_implemented: Bad request, possibly due to missing or invalid parameters.401 invalid_token: Unauthorized, invalid or missing authorization token.429 too_many_requests: Too many requests, you have exceeded the rate limit.500 api_error: Internal server error, something went wrong on the server.
¶ Error Response Example
{
"success": false,
"error": {
"code": "api_error",
"message": "fetch failed"
},
"trace_id": "2cf86e86-22a4-46e1-ac2f-032c0f2a4e89"
}
¶ Conclusion
Through this document, you have learned how to use the SeeDream Tasks API to query all specific details of single or batch tasks. We hope this document helps you better integrate and use the API. If you have any questions, please feel free to contact our technical support team.